- ## 2.2.0-1 - Feature und Bugfix Release (iOS 4.x and later)

  - Verbesserungen
    - Es ist nun möglich, die Benutzeroberflächensprache in den Einstellungen zu setzen. Diese Einstellung tritt erst beim nächsten Neustart von iFile in Kraft.
    - Added support for shortcuts on iPhone as on iPad (via bookmark button).
  - Fehlerbehebungen
    - iFile zeigt jetzt wieder Applikationsnamen unter iOS 8 in /var/mobile/Containers/Bundles/Application an.
    - Externe Betrachter werden jetzt wieder angezeigt unter iOS 8.
    - Absturz beim Speichern eines Bildes oder eines Videos in die iPhone Filmrolle behoben.
    - Problem behoben, daß Pop-up Menüs im Dateibrowser nicht versteckt wurden, wenn man neben das Pop-up Menü getippt hatte.
    - Hebräische Lokalisierung hinzugefügt.
    - iFile erzeugt jetzt keinen Crash mehr, wenn es in den Hintergrund geschickt wurde: iFile bleibt nun 3 Minuten im Hintergrund bevor es sich selbst beendet.

- ## 2.1.0-1 - Feature und Bugfix Release (iOS 4.x und später)

  - Verbesserungen
    - Hebräische Lokalisierung hinzugefügt.
    - Unterstützung für iPhone 6 und iPhone 6 Plus implementiert.
    - Icons für iPhone 6 Plus hinzugefügt.
    - Während einer Suche in der Dateiliste wird jetzt die Lupe im Suchfeld durch einen Aktivitätsindikator ersetzt..
  - Fehlerbehebungen
    - Problem behoben, durch den einige externe Viewer nicht mehr aufgelistet wurden, z.B. Whatsapp, Dropbox, iMovie etc.
    - Problem behoben, durch das Bluetooth Übertragungen per GameKit nicht mehr unter iOS 7+ funktionierten.
    - Fehler behoben, durch den die URL des 2. Tabs auch für den 1. Tab gespeichert wurde.
    - Problem korrigiert, durch das die Statusleiste im Musikabspieler schwarz auf schwarzem Grund angezeigt wurde.
    - Fehler im Box SDK behoben, durch den es zu einem Absturz beim Start unter iOS 8 kam.
    - Pfeil beim "Herunterziehen zum Aktualisieren..." wurde an iOS 7+ angepasst.
    - Fehler behoben, durch den im Property Listen Editor Integerzahlen mit Dezimalpunkt oder Komma als Kommazahlen interpretiert wurden.

- ## 2.0.1-1 - Bugfix Release (iOS 4.x und später)

  - Fehlerbehebungen
    - Fehler in Öffnen mit... im Dateiattributeditor behoben.
    - Falsches iFile Icon in iOS6 und darunter korrigiert.

- ## 2.0.0-1 - Feature und Bugfix Release (iOS 4.x und später)

  - Verbesserungen
    - iFile an iOS 7 angepasst: Neues Icon, neue Knöpfe, iOS 7 Look-and-Feel.
  - Fehlerbehebungen
    - Absturz bei Eingabe einer PayPal Registrationsemailadresse behoben (nur benötigt für Nutzer, die iFile nicht im Cydia Store gekauft haben).
    - iFile konnte nicht unter iOS 7 nicht mit dem App Switcher beendet werden. Dieses Problem konnte nur behoben werden, indem iFile nun nicht mehr im Hintergrund bleibt, wenn man den Home Button drückt. Allerdings bleibt iFile dann trotzdem noch für 180 Sekunden aktiv. Ebenso beendet es sich nicht, wenn man Musik im Hintergrund abspielt.

- ## 1.9.1-1 - Bugfix Release (iOS 4.x und später)

  - Fehlerbehebungen
    - Absturz beim Speichern einer veränderten Datei im Hex Editor behoben.

- ## 1.9.0-1 - Feature und Bugfix Release (iOS 4.x und später)

  - Erweiterungen
    - WebDAV Klienten mit Unterstützung für HTTP und HTTPS hinzugefügt.
    - Bonjour Browser zum Finden von FTP, WebDAV und WebDAVS Servern hinzugefügt.
    - Hexadezimal Editor hinzugefügt. Er kann per Öffnen mit... im Dateiattributeditor geöffnet werden. Er unterstützt Suchen, zu Index Gehen, Kopieren, Ausschneiden, Einfügen, Rückgängig Machen und Wiederholen. Unterstützte Gesten:
      - Auf Zeilennummer tippen ändert die Darstellung in Hexadezimal oder dezimal.
      - Durch Tippen auf einen Hexadezimal- oder Textfeld wird die Einfügemarke gesetzt. Ein zweites Tippen an gleicher Stelle zeigt das Editiermenü.
      - Durch doppeltes Tippen auf einen Hexadezimal- oder Textfeld wird ein einzelnes Byte bzw. Zeichen selektiert.
      - Dreimaliges Tippen selektiert die gesamte Zeile.
      - Durch langes Drücken auf ein Hexadezimal- oder Textfeld kann man die Einfügemarke verschieben, während dabei eine Lupe angezeigt wird.
      - Die Zangengeste (Pinch) verändert die dargestellte Zeichensatzgröße.
    - SQLite3 Editor mit den Dateiendungen sqlite, sqlite3, sqlitedb, db hinzugefügt. Er erlaub das Editieren von Integer-, Float- und Textfeldern. Blob-Felder sind nicht editierbar.
    - Neue Einstellungsoption hinzugefügt, um Ordner entweder am Anfang der Dateiliste anzuzeigen oder zusammen mit den anderen Dateien zu sortieren (nur beim Sortieren nach Größe werden sie immer am Anfang der Dateiliste angezeigt, da Ordner mit keiner Größe assoziiert sind).
    - Neue Freigabensektion in den Abkürzungen auf dem iPad hinzugefügt, die Abkürzungen für entfernte Dateisysteme darstellt, z.B. box.net und Dropbox.
    - Einbinden von MSDOS formatierten DMG (Apple Disk Image) Dateien und auch das Einbinden von ISO Disk Images aktiviert.
    - Importieren von Musik und Filmen in die iPod Bibliothek ist nun ein kostenloses Feature, das die Installation des Gremlin Framework Pakets erfordert.
    - Bulgarische Sprachunterstützung hinzugefügt (von Kristiyan Tanev bereitgestellt).
  - Fehlerbehebungen
    - Ladefortschrittsanzeige beim Herunterladen einzelner Dateien von einem FTP Server korrigiert.
    - Doppeltes Laden des Verzeichnisinhalts auf dem iPhone nach dem Löschen eines Remote Server Cache korrigiert.
    - Korrekturen des WebDAV Server, um besser mit dem neuen iFile WebDAV Klienten zusammenzuarbeiten.
    - Formular zur Eingabe von Benutzernamen und Passwort hinzugefügt, wenn das Laden eines FTP Ordners wegen ungültiger Authentifizierung nicht fehlgeschlagen war.
    - Erstellen von Ordnern beim hierarchischen Hochladen auf box.net korrigiert.
    - Fehlformatierte Musikliste und Abspieloptionen im Musikabspieler korrigiert, wenn der Musikabspieler im Querformat auf dem iPad geöffnet wurde.
    - Fehlverhalten korrigiert, durch den beim Abbruch des Herunterladens einer Datei von Dropbox, nur der HUD geschlossen, aber nicht die Operation abgebrochen wurde.
    - Korrektur, daß beim Tippen auf die Abspieloptionen im Musikabspieler diese ausgeblendet wurden.
    - Korrektur eines falschen Zeichens in der Tschechischen Lokalisierung.
    - Korrektur des nicht funktionierenden Verschiebens und Kopierens von Dropbox zu Dropbox (betraf auch Umbenennen von Dateien) aufgrund des veränderten Dropbox API.
    - Fehler behoben, durch den die Anzeigeauswahl nicht angezeigt wurde, wenn eine Datei keinen unterstützten Mime-Type hatte.
    - Absturz im Musikabspieler für bestimmte ungültige ID3 Daten in einem Song behoben.

- ## 1.8.1-1 - Bugfix Release (iOS 4.x und später)

  - Fehlerbehebungen
    - iFile für alte iDevices (armv6) ist jetzt mit iFile 1.7.2-2 identisch anstelle von iFile 1.7.0-2.
    - iFile für alte iDevices (armv6) wird jetzt wieder als Super User ausgeführt.
    - Ungarische Lokalisierung und HTML Dateien überarbeitet.
    - Absturz von iFile unter iOS 5.1 beim Verbinden mit Dropbox behoben (nur im Falle von nicht installierter Dropbox App).
    - Fehler behoben, daß iFile vergaß, daß es mit einem box Konto verbunden war.
    - Die Optionsleiste im Musikabspieler wird jetzt nicht mehr versteckt, wenn man auf die Knöpfe für Wiederholungsmodus, Zufallswiedergabe oder iPod Bibliotheksimport tippt.

- ## 1.8.0-1 - Feature und Bugfix Release (iOS 4.x und später)

  - Erweiterungen
    - iFile für iPhone 5 (Startbild) und iOS 6 Unterstützung im allgemeinen erweitert.
    - Unterstützung für den Zugriff auf box.net als entferntes Dateisystem (Cloud) hinzugefügt..
    - Unterstützung für den Zugriff auf Toshiba FlashAir® SDCard als entferntes Dateisystem hinzugefügt (Dateiliste und Kopieren werden unterstützt).
    - Verwendetes Dropbox SDK auf Version 1.3.2 geändert - dies ist notwendig, damit die Authentifizierung auch nach dem 30. November 2012 noch funktioniert.
    - Mülleimerknopf für das Schließen von Tabs ersetzt durch einen Schließknopf, wie er aus Safari bekannt ist.
    - Dateien mit der Endung xm werden nun automatisch in iFile's Texteditor geöffnet.
    - Verwendeten C Compiler von GCC auf CLANG geändert.
    - Die Fehlerbehebungen und Erweiterungen dieser Release werden nur für armv7-basierte iOS Geräte unterstützt, d.h. für die folgenden Geräte:
      - Alle iPads auf iOS 4 oder neuer.
      - Alle iPhones beginnend mit dem iPhone 3GS und neuer.
      - Alle iPod touch ab dem iPod touch (3rd gen.) oder neuer.
    - Hintergrundbilder zum Dateibrowser hinzugefügt, um die Identifikation von box, Dropbox und FTP Tabs zu erleichtern.
    - Beschriftungen zur Tab Auswahl für Dateisystemtyp und Pfad hinzugefügt.
  - Fehlerbehebungen
    - Absturz im Registrierungsdialog beseitigt, der beim zweiten Aufrufen des Dialogs auftrat.
    - Reflektion des Browserbildes in der Tab Auswahl korrigiert.
    - Absturz im Zip Betrachter behoben.
    - Blockierung beim Starten von iFile behoben, wenn iFile nach einem Kennwort für einen FTP Server fragte, eine Eingabe blockiert wurde.
    - Fehlschlagen der Registrierung unter iOS 6 behoben.
    - Fehler auf dem iPad behoben, durch den nach dem Umbenennen einer Datei, diese auch danach noch mit dem alten Namen angezeigt wurde.
    - Verschiedene Probleme im Zusammenhang mit Lesezeichen von Dateien auf dem iPad behoben.

- ## 1.7.2-2 - Bugfix Release (iOS 4.x und später)

  - Fehlerbehebungen
    - Falsche Feldhöhe in Einstellungen auf dem iPad korrigiert.

- ## 1.7.2-1 - Feature und Bugfix Release (iOS 4.x und später)

  - Erweiterungen
    - iFile zeigt jetzt auch ein Film Icon für avi Dateien.
    - Der iFile Web Server zeigt jetzt auch Applikationsnamen und Songtitel anstelle von kryptischen Pfaden, wenn diese Optionen in den Einstellungen von iFile aktiviert wurden.
    - Das favicon von iFile's Web Server wurde auf den neuesten Stand gebracht.
    - Unterstützung für das automatische Hochladen von Textdateien nach dem Speichern hinzugefügt, die auf einem FTP Server editiert wurden
  - Fehlerbehebungen
    - Explizites Setzen eines schwarzen Hintergrunds für die Tab Auswahl.
    - Blockierte Eingabe vermieden, wenn die Eingabe eines Kennworts für einen FTP Server notwendig war, aber das GUI durch eine Glasscheibe blockiert war.
    - Fehler behoben, durch den die Navigationsleiste während einer Suche auf einem FTP Server oder auf Dropbox nicht versteckt wurde.
    - Fehler behoben, durch den bei einer Suche auf einem FTP Server oder auf Dropbox gefundene Ordner nicht angezeigt wurden.
    - Workaround implementiert, der die Abstürze von iFile verhindert, wenn ein FTP Server nicht UTF8 Kodierung von Dateinamen unterstützt. Dadurch werden Sonderzeichen in Dateinamen auf solchen Servern jetzt korrekt dargestellt, die Dateien können aber nicht umbenannt, verschoben oder kopiert werden.
    - Erzeugen von symbolischen Verknüpfungen unter Nutzung des "Neu" Formulars funktionieren jetzt wieder.
    - Das Feld zum Kaufen einer iFile Lizenz hat jetzt wieder die richtige Größe.
    - Fehler behoben, durch den beim Zurückkehren von Über iFile der Einstellungsdialog leer war.
    - Fehler behoben, durch den die hierarchische Suche immer auch in versteckten Ordnern suchte - unabhängig von der entsprechenden Auswahl in den iFile Einstellungen.
    - Fehler behoben, durch den im Falle von Dateien auf einem FTP Server, die im Cache bereits vorhanden waren, die Liste der passenden Betrachter falsch angezeigt wurden.
    - Fehler behoben, daß eine abgebrochene FTP Dateiübertragung nicht zuverlässig unterbrochen wurde.
    - Fehler behoben, durch den der Dateiname einer ZIP Datei gekürzt wurde, wenn der ursprüngliche Dateiname der einzupackenden Datei mehrere Punkte enthielt.
    - Fehler behoben, durch den beim Löschen von mehreren Dateien auf einem FTP Server nur die erste Datei gelöscht wurde.
    - Fehler behoben, durch den beim Auswählen aller Dateien in Suchergebnissen, die Werkzeugleiste nicht wieder angezeigt wurde.
    - Verhalten korrigiert, wenn Dateiattribute von Dateien in Suchergebnissen editiert wurden: Nach dem Drücken von Fertig im Attributeditor kehrt nun der Benutzer zum aktuellen Verzeichnis anstelle zu den Suchergebnissen zurück.

- ## 1.7.1-1 - Feature und Bugfix Release (iOS 4.x und später)

  - Erweiterungen
    - Unterstützung für MobileSubstrate Erweiterung SwipeShiftCaret.dylib eingebaut.
    - Unterstützung für das Verstecken von Dateien mit einem Punkt am Anfang für QNAP NAS (beginnen mit :2e) hinzugefügt.
    - Vietnamesische Lokalisierung hinzugefügt.
    - preinst Skript zum iFile Paket hinzugefügt, das iFile vor der Installation in Cydia beendet.
  - Fehlerbehebungen
    - Neu formatierter Einstellungsdialog nach der Rückkehr aus Unterdialogen korrigiert (hatte zu große Felder).
    - Behandlung von leerem Dateinamen beim Erzeugen neuer Dateien/Ordner/Verknüpfungen korrigiert, um einen Absturz zu vermeiden.
    - Behandlung von Sonderzeichen in Benutzernamen in FTP URL's korrigiert, z.B. Emailadressen.
    - Problem behoben, durch das der Attributeditor nach dem Umbenennen einer Datei auf einem Dropbox/FTP Server sich nicht schloss (iPhone).
    - Fehler korrigiert, durch das nach dem Umbenennen einer Datei auf einem Dropbox/FTP Server die Dateiliste des aktuellen Ordners nicht neu geladen wurde (iPad).
    - Lesen der Einstellungen korrigiert, so daß sie nicht durch die Defaultwerte überschrieben werden (iOS 4.x).
    - Gekürzte Dateilisten von Ordnern auf FTP Servern im Falle von sehr vielen Dateien behoben./li>
    - Fehler korrigiert, durch den nicht alle Dateien eines Ordners mit sehr vielen Dateien auf das lokale Dateisystem kopiert bzw. verschoben wurden.
    - Anzeigefehler behoben, wenn ein Benutzer das iDevice in einem Dateibetrachter gedreht hatte und dann zum Dateibrowser zurückkehrte.
    - Absturz beim Speichern einer Textdatei auf Dropbox aus dem Texteditor heraus behoben.
    - Zu kleine Anzeige von PDF Dateien auf dem iPad der 3. Generation behoben.
    - Bildbetrachter und PDF Betrachter dahingehend korrigiert, daß Bilder und PDF's fest zentriert dargestellt werden (iOS 5.x).
    - Behandlung des Kopierens von Dateien von einem entfernten auf das lokale Dateisystem innerhalb eines einzelnen Tabs korrigiert.
    - Absturz in Einstellungen->Registrierungsstatus behoben.
    - Absturz beim Löschen von Dateien behoben.

- ## 1.7.0-2 - Bugfix Release (iOS 4.x und später)

  - Fehlerbehebungen
    - Korrigierte Polnische und Japanische Lokalisierung.
    - Ungarische und Euroäische Portugiesische Lokalisierungen in das Package aufgenommen.

- ## 1.7.0-1 - Feature und Bugfix Release (iOS 4.x und später)

  - Erweiterungen
    - Option hinzugefügt, um neue Tabs unter Benutzung von Bookmarks zu öffnen.
    - Komplette Refaktorierung der lokalen und entfernten Dateibehandlung.
    - Neuer FTP Client mit Unterstützung für Kopieren, Ausschneiden, Einfügen, Umbenennen und Löschen.
    - Überarbeitung der Dropbox Implementierung.
    - iFile-zu-iFile Bluetooth Übertragung dahingehend verändert, daß das automatische Gerätesperre nicht während einer Übertragung aktiviert wird.
    - Indexleiste wird nun auch angezeigt, wenn Dateien nach Dateianhang sortiert und gruppiert werden.
    - Neu Struktur für die iFile Einstellungen.
    - AirBlue Sharing Unterstützung hinzugefügt.
    - Unterstützung für das automatische Einbinden von Festplatten (MSDOS und HFS Dateisysteme) an iPads mit Camera Connection Kit hinzugefügt.
    - Ungarische und Europäisch-Portugiesische Lokalisierungen hinzugefügt.
  - Fehlerbehebungen
    - Korrektur der deutschen und chinesischen Lokalisierung.
    - Korrektur des Behandlung von großen Dateigrößen für Herunterladen, Hochladen und Orderdateiliste im Web Server.
    - Strikte Typüberprüfung der Einstellungen eingeführt, um potentielle Abstürze aufgrund unzulässiger Werte in der Einstellungsdatei zu vermeiden.
    - Absturz im Falle von hierarchischem Ändern der Dateiattribute auf dem iPad behoben.
    - Korrigierte französische Lokalisierung.
    - Absturz des Web Viewers in iOS 5.1 behoben (verursacht durch iOS Fehler).
    - Anzeige von . und .. für eingebundene Flash Speicher unterbunden.
    - Einbinden von Festplatten Images wieder möglich für iOS 5.x.

- ## 1.6.1-3 - Bugfix Release (iOS 4.x und später)

  - Fehlerbehebungen
    - Fehler behoben, durch den Firefox 8 bei iFile's Web Server korrupte Content Header erkannte.
    - Segmentation Fault behoben (Absturz) beim Umbenennen von Dropbox Dateien auf dem iPad.
    - Bei Dropbox SDK auf Version 0.3 umgestellt.
    - Koreanischen Übersetzer zu features.html hinzugefügt.
    - Zu kleine Schrift bei "Herunterziehen zum Aktualisieren" auf Chinesisch auf dem iPad korrigiert.
    - Dialogfeldgröße im Registrierungsstatus GUI korrigiert.
    - Position des Fertig Knopfes im HUD korrigiert, wenn eine Datei in Dropbox aus dem Texteditor heraus abgespeichert wurde.
    - Fehler korrigiert, durch den Dropbox Dateien mit Sonderzeichen im Namen, die im Texteditor editiert wurden, nicht gespeichert wurden.
    - Behandlung des Senden/Abbrechen Knopfs für Support Emails für iOS 5 korrigiert.
    - Fehler korrigiert, durch den von Dropbox heruntergeladene Musikdateien nicht im Musikabspieler abgespielt werden konnten.

- ## 1.6.1-2 - Bugfix Release (iOS 4.x und später)

  - Fehlerbehebungen
    - Korrigierte französische Übersetzung von "The image got successfully added to the camera roll.".
    - Web Betrachter als Standardbetrachter für Mime-Types image/jpeg, image/bmp, image/png, image/tiff, image/gif eingetragen.
    - Standard Artwork Bild für Audio Player in iPad's nativer Auflösung hinzugefügt.
    - "MB frei" am Listenende des Dateibrowsers lokalisiert.
    - Fehler behoben, durch den Bildgrößten von @2x Dateien nicht korrekt angezeigt wurden.
    - Fehler behoben, der zu neuer Registrierung bei jedem Start von iFile führte.
    - Absturz im Audioabspieler behoben, der im Falle von leeren Genre Strings in mp3 Dateien auftrat.

- ## 1.6.1-1 - Feature und Bugfix Release (iOS 4.x und später)

  - Erweiterungen
    - Unterstützung für das Einbinden von DMG (Apple Disk Image) Dateien hinzugefügt./li>
    - Dropbox Dateien und Ordner werden nun in grün angezeigt, wenn sie sich im lokalen Cache befinden.
    - Dropbox Auswahl für das Hinzufügen eines Tabs wird nun nicht mehr angezeigt, wenn iFile nicht mit Dropbox verlinkt ist.
    - Unterstützung für eingebettete Album Cover in mp3 Dateien (ID3) hinzugefügt.
    - Unterstützung für das Kopieren von MD5 Summen von Dateien im Attributeditor durch darauf Tippen hinzugefügt.
    - Unterstützung für das Kopieren von öffentlichen Dropbox Links im Attributeditor hinzugefügt.
    - Unterstützung für das Abbrechen von Dropbox Downloads hinzugefügt.
    - Support Email dahingehend erweitert, daß nun Emails nicht ohne Eingabe eines Problems abgeschickt werden können.
    - Unterstützung für die Anzeige der Bildgröße in der Titelleiste im Bildbetrachter hinzugefügt.
  - Fehlerbehebungen
    - Fehler behoben, daß der Fertig Knopf im Attributeditor nicht für Dropbox Dateien funktionierte.
    - Rechtschreibfehler im Dateinamen für das Laden der KeybordFix.dylib behoben, so daß nun benutzerdefinierte Tastaturen auch für iOS 4.3.x benutzt werden können.
    - Fehler behoben, bei dem für einige Übersetzungen das "Herunterziehen zum Aktualisieren..." einen zu großen Zeichensatz hatte und der Pfeil die falsche Position.
    - Unterstützung für Öffnen mit... im Attributeditor auch für Dropbox Dateien hinzugefügt.
    - Fehler behoben, durch den nach einer Dateiänderung, z.B. in der Attributen, dem Texteditor, dem PLIST Editor, die Dateilist neu geladen und nach oben gescrollt wurde.
    - Crash durch illegale Einstellungswerte behoben.

- ## 1.6.0-1 - Feature und Bugfix Release (iOS 4.x und später)

  - Erweiterungen
    - Dateibrowser
      - Volle Dropbox Unterstützung mit folgenden Merkmalen (Registrierte Benutzer):
        - Kopieren/Verschieben von lokalem Dateisystem in Dropbox, von Dropbox in lokales Dateisystem, von Dropbox nach Dropbox.
        - Erzeugen neuer Ordner in Dropbox.
        - Editieren des Dateinamens von Dateien und Ordnern in Dropbox.
        - Miniaturbilder im Dateibrowser anzeigen wenn sie durch Dropbox bereitgestellt werden - unterstützt 32x32 und 64x64 (Retina) Auflösung.
        - Heruntergeladene Dateien und Miniaturbilder werden lokal in einem Cache abgelegt.
        - Der Dropbox Cache kann in den Einstellung gelöscht werden.
        - Der Benutzer kann iFile in den Einstellungen mit Dropbox verbinden und auch wieder davon trennen.
        - Drücken des Home Knopfes in einem Dropbox Tab setzt den Dateibrowser auf das Dropbox Wurzelverzeichnis.
      - Unterstützung für "Herunterziehen zum Aktualisieren" im Dateibrowser hinzugefügt (über Suchleiste).
      - Anzeige der Dateianzahl im aktuellen Ordner und der freien Bytes im assoziierten Dateisystem am Ende des Dateibrowsers hinzugefügt (für lokales Dateisystem and Dropbox).
      - Unterstützung für langen Druck auf die Tabelle auch im nichteditierenden Modus hinzugefügt, um alle Dateien zu selektieren.
    - Attributeeditor
      - Unterstützung für Hinzufügen zur iPod Bibliothek für Songs und Videos hinzugefügt (nur verfügbar, wenn Celeste oder YourTube auch gekauft wurde).
    - Bildbetrachter
      - Bestätigungsdialog beim Löschen von Bildern hinzugefügt.
    - Webbetrachter
      - Webarchiv Unterstützung hinzugefügt.
    - Audio- und Videoabspieler
      - Unterstützung für das Abspielen von Songs/Videos hinzugefügt, die in iTunes gekauft wurden.
    - Einstellungen
      - Einstellung zum Speichern der aktuellen Pfade hinzugefügt, d.h. Pfade von Tabs werden beim Verlassen von iFile abgespeichert.
      - Standardeinstellung von "Papierkorb benutzen" auf an geändert.
    - Lokalisierungen
      - Überarbeitete rumänische Lokalisierung und Change-Log.
      - Überarbeitete polnische Lokalisierung.
      - Koreanische Lokalisierung hinzugefügt.
  - Fehlerbehebungen
    - Laden von KeybordFix.dylib zur Unterstützung von benutzerspezifischen Tastaturlayouts in iOS 4.3.x hinzugefügt.
    - iFile Paketabhängigkeit von diskdev-cmds Paket hinzugefügt, um das Trennen (unmount) von SDCards/USB sticks am Camera Connection Kit auf dem iPad zu ermöglichen.
    - Problem korrigiert, daß beim Tippen auf 'Apply Hierarchically' im Attributeeditor der "Öffnen mit..." Dialog angezeigt wurde.
    - Korrigiert, daß bei aktivem "Wischen zum Löschen" und Drücken des Bearbeiten Knopfes die Tabellenanzeige inkonsistent wurde.
    - Korrigiert, daß bei Rotation von iFile selektierte Einträge deselektiert wurden und die Dateiliste neu geladen wurde.
    - Korrigiert, daß ein Link nicht mehr angezeigt wurde, wenn die Datei, auf die er zeigte, gelöscht wurde.
    - URL cydia:///package/ zu cydia://package/ in allen about.html korrigiert.
    - iPod Bibliothek Export Knopf für Videos im Attributeeditor deaktiviert, wenn Gremlin 2 nicht installiert ist.
    - Bestätigungsdialog deaktiviert, wenn das Bearbeiten einer Support Email abgebrochen wurde.

- ## 1.5.0-4 - Bugfix Release

  - Fehlerbehebungen
    - Problem behoben, durch das es nicht möglich war Ordner/Dateien zu erzeugen, wenn in ihrem absoluten Pfad ein Leerzeichen enthalten war.
    - Letzten Fehler behoben, der immer noch für ein paar Nutzer zu einem sich endlos drehenden Aktivitätsindikator beim Starten von iFile führte.
    - Absturz behoben, wenn man vier mal hintereinander den + Knopf zum Erzeugen einer Datei, eines Ordners oder eines Links drückte.
    - Fehler behoben, durch den Änderungen an String Feldern in Arrays in einer Property Liste nicht gespeichert wurden.
    - Änderungen einer Datei im Property List Editor und Textbetrachter führen nun auch zu einer Aktualisierung des Dateibrowsers.

- ## 1.5.0-3 - Bugfix Release

  - Fehlerbehebungen
    - Problem behoben, daß iFile immer noch den sich drehenden Aktivitätsindikator endlos zeigte, wenn in den iFile Einstellungen ein nicht existierender Ordner referenziert wurde.
    - Korrigiert, daß bei Benutzung einer URL wie ifile:///<Pfad> iFile nicht zu dem Ordner wechselte bei Datei URL's und bei Ordner URL's Öffnen mit... anzeigte.
    - Fehlschlagende Registrierung von einigen Nutzern mit Registrierungsproblemen behoben.
    - Korrigiert, daß der Dateibrowser nicht nach dem Ausführen einer Installation oder dem Dekomprimierer aktualisiert wurde.

- ## 1.5.0-2 - Bugfix Release

  - Fehlerbehebungen
    - Fehler behoben, bei dem ein Ordner, in dem iFile startet, nicht existierte, dazu führte, daß iFile ein sich drehenden Aktivitätsindikator für immer anzeigte.
    - Absturz beseitigt, wenn eine Datei von iFile and iFile übertragen wurde (Sender stürzte ab).
    - Fehler behoben, der dazu führte, daß beim Auswählen von Alle selektieren im Popup Menü, die Knöpfe in der Werkzeugleiste nicht aktiviert wurden.
    - Absturz beseitigt, wenn eine Datei oder Ordner in den Suchergebnissen einer hierarchischen Suche angetippt wurde.
    - Absturz behoben, wenn ein Betrachter für eine Datei mit unbekanntem Type zum vierten Mal ausgewählt wurde.
    - Verhalten korrigiert, daß das Öffnen von Dateien in iFile mittels der URL ifile:///<Pfad> nicht mehr funktionierte. Das war besonder ein Problem im Kontext mit Attachment Saver und Safari Download Manager.
    - Animation verlangsamt, wenn man sich durch die Tabs in der Tab Auswahl (Cover Flow) bewegte.
    - Antialiasing in der Tab Auswahl (Cover Flow) implementiert.

- ## 1.5.0-1 - Feature und Bugfix Release

  - Fehlerbehebungen
    - Zerbrochene Links in den Webserver Indexseiten von Dateien mit speziellen Zeichen korrigiert.
    - Chinesische Lokalisierung überarbeitet.
  - Erweiterungen
    - Laden der Bibliotheken libstatusbar.dylib und SwipeToMoveCursor.dylib eingebaut.
    - Rumänische Lokalisierung hinzugefügt.
    - Celeste/Gremlin Integration
      - Unterstützung für das Senden von Dateien via Celeste (Bluetooth) hinzugefügt.
      - Unterstützung für das Hinzufügen von Songs zur iPod Bibliothek unter Benutzung von Gremlin von @cocoanutapps eingebaut. Dies ist möglich im Attributeeditor und im Musikabspieler.
      - Unterstützung für iBluenova für iOS 4.x und später entfernt.
    - Dateibrowser
      - MD5 Summenberechnung von Dateien im Attributeeditor hinzugefügt.
      - Erstes Laden der Ordnerinhalte geschieht nun im Hintergrund beim Start von iFile.
      - Glasscheibe eingebaut, die die grafische Oberfläche während des initialen Ladens der Ordnerinhalte bedeckt.
      - Aktionsknopf mit Zwischenablageknopf ersetzt (Editiermodus).
      - Unterstützung für 8 Tabs per neuem Knopf in der Werkzeugleiste des Dateibrowers hinzugefügt.
      - Tab Auswahloberfläche mit Cover Flow implementiert. Dies erlaubt das Hinzufügen und Entfernen von Tabs.
      - Unterstützung für eine Zwei-Finger-Wischgeste eingebaut, um direkt zwischen den Tabs im Dateibrowser umzuschalten.
      - Infoknopf aus der Browserarbeitsleiste entfernt.
      - Unterstützung für langen Druck auf Tabelle zum Selektieren einzelner oder allen Dateien, Deselektieren aller Dateien, Kopieren, Ausschneiden, Einfügen und Verlinken von Dateien eingebaut.
      - Verhalten entfernt, daß ein Doppeltippen auf die Tabelle alle Dateien selektiert/deselektiert.
    - Einstellungen
      - Option für das "Speichern beim Verlassen" von iFile in den Einstellungen entfernt, da es im Kontext von Tabs obsolet ist.
      - Neue Felder "Über iFile" und "Entwickler kontaktieren" hinzugefügt.
      - Einstellmöglichkeit für Farbe der Benutzeroberfläche eingebaut (Navigationsleisten und Werkzeugleisten von ausgewählten Dateibetrachtern).
      - Standard Icon Thema auf Leopard geändert.
    - Property Listen Editor
      - Zellformatierung korrigiert, so daß leerer Platz in mehrzeiligen Zellen vermieden wird.
      - Zeichensatzgröße im String Editor des Property Listen Editor modifiziert (größer).
    - ZIP Betrachter
      - Unterstützung für das Extrahieren von passwortgeschützten ZIP Dateien eingebaut.

- ## 1.4.2-1 - Feature und Bugfix Release

  - Fixes
    - iFile Absturz behoben wenn Ordner per Bluetooth gesendet wurden (bricht nun ab).
    - Suchleiste für den Property Listen Editor implementiert.
    - Übergroßen Speicherverbrauch beim hierarchischen Suchen korrigiert.
    - Netzbetrachter und Textbetrachter für SVG Dateien als Standardbetrachter registriert (image/svg+xml mime-type).
    - Löschknopf zum Bildbetrachter hinzugefügt.
    - String Felder im Property Listen Editor geändert, um mehrzeilige Werte zu unterstützen.
    - Unterstützung für das Anspringen von Ordnern einer Datei zum Pfadfeld des Attributeditors hinzugefügt.

- ## 1.4.1-3 - Bugfix Release

  - Fixes
    - Fehler behoben, durch den der PDF Betrachter es nicht erlaubte, per Wischen zur letzten Seite zu gelangen.
    - Fehler im Bild- und PDF Betrachter auf dem iPad behoben, durch den die Navigations- und Werkzeugleiste verschwand, wenn das Druck- und Lesezeichenformular angezeigt wurden.
    - Bessere Fehlerbehandlung im Filmabspieler für ungültige Dateiformate implementiert.
    - Problem behoben, durch das beim Öffnen einer Datei per ifile:///<path> URL (e.g. aus dem Safari Download Manager) zwar die Datei im ensprechenden Betrachter angezeigt wurde, aber die Betrachterauswahlliste nicht geschlossen wurde.
    - Verhalten des 2-Finger Doppeltippen zum Herauszoomen im Bild- und PDF-Betrachter korrigiert, so daß nun kompettes Herauszoomen möglich ist.
    - Musikabspieler dahingehend verbessert, daß er sich jetzt merkt, ob die Repeat/Shuffle Optionen angezeigt wurden (angezeigt durch Tippen auf das Albumcover).

- ## 1.4.1-2 - Bugfix Release

  - Fixes
    - Fehler behoben, durch den beim Drücken des Fertig-Knopfes nach einer Dateinamensänderung im Dateiattributeditor dieser nicht geschlossen wurde.
    - Überarbeitete chinesische Übersetzung der Change-Log, Features und Über iFile Seiten.

- ## 1.4.1-1 - Bugfix und Feature Release

  - Enhancements
    - Unterstützung für 2-Finger Doppeltippen zum Herauszoomen im PDF und Bildbetrachter hinzugefügt.
    - Portugiesche, Tschechische und Arabische Lokalisierung auf neuesten Stand gebracht.
    - Polnische Übersetzung des Change-Log auf neuesten Stand gebracht.
  - Korrekturen
    - Absturz im Portrait Modus behoben, wenn der Seiteneistenknopf auf dem iPad gedrückt wurde.
    - Fehler behoben (durch einen iOS Fehler), der dazu führte, daß Dateiattribute von Dateien auf Flash Speichern nicht angezeigt und bearbeitet werden konnten.
    - Fehler behoben, durch den das Papierkorb Icon deaktiviert blieb nach einem Löschen durch Wischen.
    - Behandlung von Bildern nach Öffnen mithilfe von Öffnen mit... im Bildbetrachter korrigiert.
    - Hineinzoomen im PDF und Bildbetrachter auf maximale Zoomtiefe beschränkt.
    - iFile Absturz behoben, wenn Dateiinhalte von bestimmten passwortgeschützten rar Datei angezeigt werden sollten.
    - Absturz des PDF Viewer behoben.
    - Absturz behoben beim dritten oder vierten Öffnen derselben Datei im PDF und Bildbetrachter.
    - Anzeigeproblem der Suchleiste im Texteditor im Landschaftsmodus behoben.
    - Name der Datei mpeg@2.png zu mpeg@2x.png im Leopard Thema korrigiert.
    - Textbetrachter zusätzlich zum Property-Listen Betrachter als Standardbetrachter für application/x-plist Mime-Type registriert.
    - Property-Listen Betrachter
      - Geschwindigkeitsverbesserung für große Dictionaries und Arrays.
      - Fehler behoben, der zu leeren strings-Dateien beim Speichern aus dem Property-Listen Betrachter führten.
      - Fehler behoben, durch den iFile einen Feldwert nicht beim Drücken von Fertig Knopf speicherte, wenn das Feld noch editiert wurde (Tastatur sichtbar).

- ## 1.4.0-1 - Bugfix und Feature Release

  - Bitte beachte, daß die neuen Funktionalitäten in dieser Release nur auf Geräten mit iOS 4.0 und neuer verfügbar sind.
  - Diese Release enthält nur überarbeitete und übersetzte Lokalisierungen für Chinesisch, Kroatisch, Holländisch, Englisch, Finnisch, Französisch, Deutsch, Griechisch, Italienisch, Japanisch, Polnisch, Russisch, Slovakisch, Spanisch, Türkisch, Ukrainisch. Alle anderen Lokalisierungen werden in kommenden Releases auf den neusten Stand gebracht.
  - Erweiterungen und Korrekturen
    - Laden von libactivator.dylib hinzugefügt.
    - Rechtschreibfehler in Chinesischer and Englischer Lokalisierung behoben.
    - Wenn der Papierkorb benutzt wird und eine Datei in den Papierkorb verschoben werden soll, wird jetzt eine bestehende Datei mit demselben Zielpfad vor dem Verschieben gelöscht.
    - Neuer grafischer Property Listen Editor hinzugefügt.
    - Unterstützung für das Extrahieren von passwortgeschützten rar-Dateien im ZIP Betrachter hinzugefügt.
    - Rotation in alle Richtungen wieder erlaubt.
    - Einhängen von USB Sticks verbessert, so daß mehrere (max. 4) USB Sticks parallel, z.B. unter Benutzung eines USB Hubs, ins Dateisystem eingehängt werden können.
    - VoiceOver Unterstützung verbessert im Dateibrowser im Editiermodus.
    - Möglichkeit der Eingabe eines Limits für die Generation von Miniaturbildern in den Einstellungen hinzugefügt.
    - Unterstützung für Retina Display hinzugefügt für
      - Miniaturbilderzeugung
      - Icon Themen
      - Bilder in Elementen in der iFile Benutzeroberfläche
    - Bildbetrachter
      - Wischfunktionalität hinzugefügt.
      - Doppeltippen zum Zoomen hinzugefügt.
      - AirPrint Unterstützung hinzugefügt (iOS 4.2.1 und neuer).
      - Unterstützung für RAW Bildformate hinzugefügt:
        - Canon: crw, cr2
        - Epson: erf
        - Fuji: raf
        - Hasselblad: 3fr
        - Kodak: kdc
        - Mamiya: mef
        - Minolta: mrw
        - Nikon: nrw, nef
        - Olympus: orf
        - Panasonic: rw2
        - Pentax: pef
        - Sony: arw, sr2
    - PDF Betrachter
      - Wischfunktionalität hinzugefügt.
      - Doppeltippen zum Zoomen hinzugefügt.
      - AirPrint Unterstützung hinzugefügt (iOS 4.2.1 und neuer).
    - Text Editor
      - nib, plist und strings Dateien werden als Property Listen Dateien interpretiert.
    - Filmabspieler
      - AirPlay Unterstützung hinzugefügt (iOS 4.2.1 und neuer).
      - Unterstützung für 3g2 and 3gpp2 Videoformate hinzugefügt.
      - TV Out Funktionalität wiederhergestellt.
    - Netzbetrachter
      - AirPrint Unterstützung hinzugefügt (iOS 4.2.1 und neuer).

- ## 1.3.2-1 - Bugfix und Feature Release

  - Verbesserungen und Fehlerbehebungen
    - Überarbeitete Tschechische Lokalisierung.
    - Erzeugung von Application Support Ordnern hinzugefügt.
    - Erzeugung eines symbolischen Links auf das Adreßbuch für Superuser hinzugefügt.
    - Unterstützung für das Öffnen von Dateien hinzugefügt, wenn iFile bereits im Hintergrund läuft.
    - Unterstützung für iPod Controls, Headset (d.h. für Unterstützung von Fernbedienungsereignissen) etc. hinzugefügt: voriger, nächster, abspielen, pausieren, stop.
    - Problem behoben, daß der Musikabspieler nicht zum nächsten Song wechselte, wenn iFile im Hintergrund lief.
    - Crash beim Löschen von Abkürzungen auf dem iPad behoben.
    - Überarbeitetes Icon für iOS 4.x auf iPhone 3G(S) etc.
    - Accessability Support zu Dateibrowserzellen hinzugefügt.

- ## 1.3.1-1 - Bugfix und Feature Release

  - Verbesserungen
    - Digest Authentifizierung für Web/WebDAV Server implementiert (macht ihn mit Windows 7 kompatibel).
    - Neue icons für iOS4 auf iPhone4 (Applikationsicon und kleines Icon für SpotLight).
    - Einstellung hinzugefügt, um externe Betrachter zu erlauben oder zu verbieten.
  - Fehlerbehebungen
    - Fehler behoben, bei dem der Web Server, Einstellungen etc. mit einem leeren schwarzen Bildschirm erschienen.
    - Absturz in der Playlist des Musikabspieler behoben, wenn der Künstler eines Songs nicht gesetzt war.
    - Corrected space for song length remainder time for the song position slider in Audio Player so that very long song times get shown correctly.
    - Position des Dialogs zum Erzeugen einer ZIP-Datei im Dateibrowser und zum Anspringen einer Seite im PDF Betrachter so korrigiert (iOS 4), so daß er nicht von der Tastatur verdeckt wird.
    - Absturz von iFile im Texteditor behoben, wenn im Editiermodus die Suche genutzt wurde.
    - Absturz beim Erzeugen einer symbolischen Verknüpfung behoben.

- ## 1.3.0-2 - Bugfix Release

  - Fehlerbehebungen
    - Fehler behoben, bei dem im Attributeditor die Werte von Text Feldern nicht übernommen wurden, wenn Fertig oder Create gedrückt wurde.
    - Fehler behoben, bei dem iFile beim Öffnen einer Datei in irgendeinem Betrachter ein eingebundenen USB Stick oder SDCard wieder ausgeworfen, d.h. unmounted, wurde. Jetzt geschieht dies nur beim Verlassen von iFile.
    - Crash beim Erzeugen von Vorschaubildern behoben.
    - Hintergrundfarbe von Vorschaubildern korrigiert.
    - Kleine Korrektur in der polnischen Lokalisierung.
    - Problem behoben, daß Empfänger in den Kontakten des Benutzers beim Erstellen einer Email mit Anhängen nicht gefunden wurden.

- ## 1.3.0-1 - Feature und Bugfix Release

  - Unterstützung für iOS 3.2 und iOS 4.0 Dateiaustausch
    - Unterstützung von Dateitypen in iFile durch externe Applikationen auf iOS 3.2 und iOS 4.0 hinzugefügt, z.B. Mobile Mail Dateianhänge. iFile wird damit zum externen Dateibetrachter für viele Dateiformate.
    - Unterstützung für die Nutzung des neuen Dateiaustausches zwischen Applikationen hinzugefügt, so daß iFile Dateien mit externen Dateibetrachtern (AppStore) beherrscht, z.B. Pages, Numbers, Keynote, Air Sharing etc.
  - iPad Verbesserungen
    - Seitenleiste mit Abkürzungen und Lesezeichen hinzugefügt inklusive Unterstützung des Einbindens und Auswerfens von USB Sticks und SDCards, die per Camera Connection Kit an das iPad angeschlossen wurden.
    - Farbe des Erscheinungsbilds von iFile auf das Standardgrau des iPads geändert.
    - Verhalten von Knöpfen im Zusammenhang mit Pop-over Views modifiziert, so daß das Drücken eines Knopfes bei geöffnetem Pop-over dieses erst schließt und dann die Aktion des Knopfes ausführt.
    - Einstellungen, die eine Auswirkung auf den Dateibrowser haben, werden nun sofort beim Ändern einer Einstellung ausgeführt.
  - Generelle Verbesserungen
    - Standard Fortschrittsanzeige durch eine eigene ersetzt, die auf die Rotation des Geräts unterstützt.
    - Erzeugen der Miniaturbilder wurde in den Hintergrund verschoben, so daß das Scrollen im Dateibrowser nun flüssiger ist.
  - Fehlerbehebungen
    - Absturz von iFile beim Start auf iOS 4 behoben.
    - Funktion des Web Servers auf iOS 4 wiederhergestellt.
    - Korrektur, daß nach der Erzeugung einer Datei/Ordner/Verknüpfung diese im Dateibrowser auf dem iPad nicht angezeigt wurde.
    - Korrektur, daß der Applikationsordnername auf dem iPad nicht angezeigt wurde, wenn Applikationsnamen in den Einstellungen aktiviert waren.
    - Korrektur der Position von Aktionsdialogen im Zip Betrachter.
    - Korrektur, daß Datei- und Verknüpfungszielfelder ihren neuen Wert vergaßen, wenn sie im Dateiattributeditor durch Scrollen nicht mehr sichtbar waren.
    - Dateigrößendarstellung von Dateien > 2GB im Dateibrowser korrigiert.

- ## 1.2.2-1 - Feature und Bugfix Release

  - Unterstützung für iPad hinzugefügt
    - Pop-Over Views für Lesezeichen, Einstellungen, Attribute, Öffnen mit... Dialog und alle Aktionsdialoge eingesetzt.
    - Anzeige von Dateigröße und Modifikationsdatum im Dateibrowser während Songtitel und Suchergebnisse etc. angezeigt werden.
  - MobileSubstrate Erweiterungen
    - Laden von QuickScroll2 hinzugefügt, wenn es installiert ist.
  - Dateibrowser
    - Voreinstellung beim Erzeugen neuer Dateien/Ordner/Links auf Ordner geändert.
    - Neues iFile icon ohne Schatten für iPhoneOS 4.0.
  - Korrekturen
    - Zoomen im Netzbetrachter korrigiert, d.h. Zoomen für xls, doc, html Dokumente etc. funktioniert wieder.
    - Kleine Korrektur der französischen Lokalisierung.
    - Korrigiert, daß Felder mit An/Aus Schalter in den Einstellungen ihren Status beim Scrollen vergaßen.
    - Auf den Kopf gestellte Rotation entfernt.
    - Korrektur des Lesezeicheneditors, so daß er nun die Lesezeichen auch abspeichert, wenn sie neu hinzugefügt und dann gleich benutzt wurden.

- ## 1.2.1-2 - Bugfix Release

  - Korrekturen
    - Problem behoben, daß es auf dem iPad im Registrierungsstatus nicht möglich war, eine Emailadresse einzugeben.
    - Korrektur der Textkodierung im Change-Log von mehreren Sprachen.
    - Laden von Rotation Inhibitor Mobile Substrate Erweiterung hinzugefügt.

- ## 1.2.1-1 - Feature und Bugfix Release

  - Unterstützung für iPad hinzugefügt
    - Audio Player überarbeitet, so daß er korrekt auf dem iPad skaliert.
    - Neue Icons in für das iPad benötigten Auflösungen hinzugefügt.
    - Startup Bilder für iPad in Portrait und Landscape Orientierung hinzugefügt.
    - Info.plist angepaßt, um vom iPad unterstützte Orientierungen zu enthalten.
    - Abspielen von Videos auf iPad korrigiert.
  - Korrekturen
    - Absturz im Web Betrachter behoben (für das Anzeigen von Dokumentation, xls, doc, hml, pages, etc. benutzt)
    - Absturz behoben, sofern der Benutzer Universal Apps (iPhone und iPad) aus dem AppStore installiert hatte, die den falschen Eintrag in ihrer Info.plist zum Auflisten der Icons benutzt haben.
    - Überarbeitete Tschechische Lokalisierung und Dokumentation
    - Automatisches Laden von MobileSubstrate Erweiterungen entfernt mit Ausnahme von ActionMenu, Backgrounder, WinterBoard, KeyboardSupport, SimulatedKeyEvents, mcclient, UIHook-iKeyEx3, resupported.
  - Musikabspieler
    - Abspeichern der Einstellung des Widerholungsmodus des Musikabspielers in iFile's Einstellungsdatei hinzugefügt.
  - Web Server
    - Problem behoben, daß Kopieroperationen abbrachen, wenn eine Datei von iFile's WebDAV Server auf einen PC unter der Benutzung des Windows WebDAV Klienten kopiert werden sollte (es wurde das Last-Modified Tag im HTML Response Header hinzugefügt).
    - Problem behoben, daß das Kopieren vom Mac zu iFile fehlschlug, da iFile das chunked Format falsch behandelte.
    - Problem behoben, daß Verschiebe- und Kopieranweisungen von Mac's WebDAV Klienten fehlschlugen, wenn Bonjour benutzt wurde.

- ## 1.2.0-1 - Feature und Bugfix Release

  - Zusätzliche Lokalisierungen
    - Unterstützung für Kroatisch, Finnisch und Griechisch hinzugefügt.
  - Fehlerbehebungen
    - Absturz behoben, wenn der Filmabspieler nach dem Musikabspieler.
    - Absturz behoben beim Suchen und Rotieren zur gleichen Zeit.
    - Problem behoben, wenn eine PLIST im alten Format im Text Editor gespeichert werden sollte.
    - Fading-Effekt entfernt für die Bilderkacheln im PDF Viewer.
  - Registrierung
    - Neuer Registrierungsmechanismus, bei dem Benutzer, die iFile im Cydia Store gekauft haben, nicht mehr ihre Emailadresse in iFile für die Registrierung eingeben müssen.
  - Einstellungen
    - Applikationsnamen in /var/mobile/Applications anzuzeigen
    - Anzeige von Dateien in Gruppen (Gruppieren)
    - Sortieren in aufsteigender oder absteigender Reihenfolge
    - Miniaturbildlimit werden in der Einstellungsdatei gespeichert, aber nicht in den Einstellungen angezeigt.
  - Dateibrowser
    - Neues Icon für iFile, das von Daniel Waldron von EyeDevs entworfen wurde.
    - iFile-zu-iFile Bluetooth Dateiübertragung. Auf der Empfängerseite ist keine Registrierung notwendig, Auf der Senderseite muß iFile registriert sein.
    - Dateiübertragung einzelner Dateien zu anderen Geräten mit iBlueNova
    - Der Dateibrowser erlaubt nun auch das Gruppieren von Dateien abhängig von dem gewählten Sortierkriterium:
      - Alphabetische Gruppierung mit Index: A-Z und #
      - Gruppierung nach Dateierweiterungen
      - Gruppierung nach Dateigrößen: 0-10KB, 10-100KB, 100KB-1MB, 1MB-10MB, 10MB-100MB, >100MB.
      - Gruppierung nach Datum: Heute, Gestern, Früher in dieser Woche, Letzte Woche, Früher in diesem Monat, Letzten Monat, Vor zwei Monaten, Früher in diesem Jahr, Letztes Jahr, Vor zwei Jahren, Älter.
    - Die Sortierung von Dateinamen und Dateierweiterungen ist nun nicht nur unabhängig von Groß-/KLeinschreibung, sonder sortiert nun auch Zahlen in Dateinamen, z.B. eine Datei "Hugo (10).txt" wird nun nach der Datei "Hugo (8).txt" angezeigt.
    - Position des Lesezeichenicons unter Benutzung eines eigenen Icons anstelle des Systemicons (iPhoneOS Fehler) korrigiert.
    - Dateisuche um Songmetadaten erweitert (Titel, Künstler, Album), wenn die Anzeige von Songtiteln in den iFile Einstellungen aktiviert ist.
    - Limitierung auf Dateien unter /var/mobile bei Benutzung des ifile:// URL Schemas aufgehoben.
  - Dateitypen
    - PDF Dateien: Der Benutzer kann jetzt den Web Betrachter oder den PDF Betrachter auswählen, um PDF Dateien anzuzeigen.
    - SQLite3: Unterstützung für Mime-Type application/x-sqlite3 hinzugefügt, der mit kennytm's SQLite3 Applikation als externem Betrachter zusammenarbeitet (kann hier gefunden werden.
    - mm: Dateien mit der Erweiterung mm werden nun mit dem Textbetrachter assoziiert.
  - PDF Betrachter
    - Fehler in der Speicherverwaltung behoben, wenn zu einer anderen Seite gegangen wurde.
    - "Gehe zu Seite" Knopf in die Navigationsleiste verschoben. Zeigt nun aktuelle Seite und Anzahl aller Seiten an.
    - "Gehe zu Seite" Dialogbox hat nun keinen voreingestellten Wert mehr.
  - Verschicken von Emailanhängen
    - "Emails mit Anhängen schicken mit iFile" von Betreff und "iPhone Anhänge mit iFile" aus Emailinhalt entfernt.
  - Web Server
    - WebDAV support hinzugefügt (erlaubt die Benutzung von iFile als Netzwerklaufwerk unter Windows, Linux und MacOSX). Diese Funktionalität ist registrierten Benutzern vorbehalten.
    - Unterstützung für Benutzer/Passwort Authentifizierung des Web Servers hinzugefügt. Dies ist nur ein rudimentärer Schutz.
    - Auflistung von Ordnerinhalten geändert, so daß erst Ordner und dann Dateien gelistet werden.
    - Problem behoben, bei dem manchmal eine falsche http Adresse des Web Servers angezeigt wurde.
    - Problem behoben, daß der Web Server oft nicht erfolgreich gestartet werden konnte. Der Grund war, daß der Port, dem der Web Server versuchte zu nutzen, bereits in Benutzung war. Jetzt verwendet er den Port wieder und beschwert sich nicht mehr.
    - Problem behoben im Kontext mit dem Internet Explorer, daß beim Hochladen einer Datei der Dateiname nicht übernommen wurde.
    - Beim Hochladen von Dateien, werden diese nun umbenannt, sofern eine Datei gleichen Namens bereits existierte: Neue Dateien heißen wie die Originaldatei mit "(<Nummer>) und Dateierweiterung, z.B. "uploaded.txt" wird in "uploaded (1).txt" umbenannt, wenn "uploaded.txt" bereits existierte.
  - Parsen von MPEG 4 Audiodateien
    - iFile extrahiert die Songlänge nun direkt aus den Metadaten einer m4a Datei anstatt einen langsamen Systemaufruf zu nutzen. Das beschleunigt die Anzeige von Songtiteln im Dateibrowser für sehr große Podcast Dateien erheblich.
  - Audioabspieler
    - Unterstützung für doppeltes Tippen auf das Albumcover hinzugefügt, um zur Abspielliste zu wechseln.
    - Neuen Wiederholungsmodus zum Abspielen eines einzelnen Songs ohne Wiederholung hinzugefügt. Dies ist nun die Standardeinstellung.
  - Videoabspieler
    - Unterstützung für Fernsehausgabe unter Benutzung des Apple Kabels hinzugefügt.
  - Zip Betrachter
    - Fehler behoben, bei dem nicht alle Dateien eines tar Archivs angezeigt wurden.
  - Dekomprimierer
    - Zusätzlich zum Zip Betrachter ist es nun auch möglich, ein komprimiertes Archiv ohne vorheriges Anzeigen seines Inhalts auszupacken.

- ## 1.1.0-1 - Feature und Bugfix Release

  - Allgemein
    - iFile ist jetzt mit iPhoneOS 3.x kompatibel. Der gesamte Programmcode, um zu 2.x kompatibel zu sein, wurde entfernt.
    - Die Registrierung wurde dahingehend verändert, daß sie bereits beim Verlassen der Ansicht des Registrierungsstatus in den iFile Einstellungen erfolgt.
    - Die Abhängigkeit vom com.saurik.mamu (mailto:attachment=) Paket wurde entfernt.
    - Einige der Funktionalitäten, die in dieser Release hinzugekommen sind, können nur von registrierten Benutzern verwendet werden:
      - Suche nach Dateinamen.
      - Unterstützung externer Betrachter.
      - Abspielen von Abspiellisten (Playlist) im neuen Musikabspieler.
      - Anzeige von Songtiteln anstelle von Dateinamen für Musikdateien.
      - Anzeige von Miniaturbildern anstelle von Icons.
      - Suchfunktionalität im Texteditor.
  - Lokalisierungen
    - Holländische und slowakische Lokalisierung hinzugefügt.
  - Dateibrowser
    - Suche nach Dateinamen hinzugefügt. Die Suche kann im aktuellen Ordner oder in der gesamten Hierarchie beginnend mit dem aktuellen Ordner durchgeführt werden. Der Suchtext berücksichtigt weder Groß-/Kleinschreibung noch Umlaute (ö ist gleichwertig zu o). Die Suche im Editiermodus des Dateibrowsers erlaubt auch das Löschen, Kopieren, Ausschneiden und Komprimieren der gefundenen und dann ausgewählten Dateien. Suchergebnisse zeigen Datum und Größe für Dateien im aktuellen Ordner bzw. den Pfad für Dateien in anderen Ordnern an. In den iFile Einstellungen kann der Benutzer wählen, in welchem Format der Suchtext interpretiert werden soll:
      - Einfach: Suchtext ist in Dateinamen enthalten, z.B. "test",
      - Wildcard: z.B."*test*",
      - Regulärer Ausdruck, z.B. ".*test.*".
    - Verhalten verändert beim Aufwärtsnavigieren im Dateibrowser: Das gerade verlassene Verzeichnis wird nach dem Aufwärtsnavigieren deselektiert. Dadurch ist es einfacher zu verstehen, von wo man kam.
    - Unterstützung für Anzeige des Applikationsnamens anstelle des kryptischen Ordnernamens von Ordnern in ~mobile/Applications hinzugefügt. Unter dem Applikationsnamen wird der wirkliche Ordnername angezeigt.
    - Kopieren, Ausschneiden und Einfügen wurde auf die Benutzung der globalen Zwischenablage des iPhoneOS umgestellt. Das hat den Nebeneffekt, daß die Dateipfade (und auch die Datei-URL's) von kopierten Dateien in anderen Applikationen verfügbar sind. Dateiinhalte werden nicht in die Zwischenablage kopiert.
    - Ein Songtitel einer Musikdatei kann anstelle des Dateinamens angezeigt werden. Das kann in den iFile Einstellungen ein- und ausgeschaltet werden.
    - iFile kann für Bilder ein Miniaturbild anstelle des Icons anzeigen. Diese Option kann in den iFile Einstellungen aktiviert und deaktiviert werden. Miniaturbilder werden nur für Dateien erzeugt, die kleiner als 1MB sind.
  - Attributeditor
    - Unterstützung für das hierarchische Ändern von Zugriffs- und Eigentumsrechten von Ordnern hinzugefügt
      - Es werden Benutzer und Gruppe für alle Ordner und Dateien in der Hierarchie gesetzt.
      - Für Ordner werden die Zugriffsrechte identisch zum obersten Ordner gesetzt.
      - Für Dateien werden die Zugriffsrechte nur in Hinsicht auf Lese- und Schreibrechte wie beim obersten Ordner gesetzt. War eine Datei ausführbar, bleibt sie ausführbar. Das Sticky bit wird wie beim obersten Ordner gesetzt.
    - Für Bilddateien wurde ein Knopf hinzugefügt, um diese zur iPhone Filmrolle hinzuzufügen (auch vom Bildbetrachter aus möglich).
    - Für Videodateien wurde ebenso ein Knopf hinzugefügt, um diese auch zur iPhone Filmrolle hinzuzufügen (nur ab iPhoneOS 3.1 verfügbar).
    - Absturz im Fall von Dateien bzw. Ordnern behoben, bei denen Benutzer oder Gruppe auf eine ID gesetzt sind, die nicht in der Benutzer-/Gruppendatenbank des iPhoneOS enthalten waren.
  - Dateitypen
    - Format pps als unterstütztes Format hinzugefügt.
    - Mime-Type video/x-flv hinzugefügt, um diese in OpenStreamer (extern) zu öffnen.
  - Behandlung komprimierter Dateien
    - Mehrere Probleme im Zusammenhang mit komprimierten Dateien behoben.
    - Komprimierte Dateien können nun in jedem beliebigen Ordner erzeugt und ausgepackt werden und nicht nur in solchen, die dem Benutzer mobile gehören.
    - Auspacken von tar.gz, tar.Z und tar.bz2 funktionierte nicht in der Vergangenheit. Das wurde nun behoben.
    - Löschen von Dateien aus komprimierten Dateien wird nur für das Zip-Format unterstützt.
  - Erzeugung symbolischer Verknüpfungen
    - Die Erzeugung von symbolischen Verknüpfungen wurde stark vereinfacht:
      - Wähle im Dateibrowser die Dateien im Editiermodus aus, für die Verknüpfungen erzeugt werden sollen.
      - Drücke den Aktionsknopf und wähle "Kopieren/Verknüpfen".
      - Gehe zum Verzeichnis, wo die symbolischen Verknüpfungen erzeugt werden sollen.
      - Drücke den Aktionsknopf noch einmal und wähle "Symbolische Verknüpfung".
  - Musikabspieler
    - Der Musikabspieler wurde von Grund auf neu implementiert mit einem an den eingebauten Musikabspieler angehlehntes Aussehen.
    - Es wird jetzt das Abspielen von Dateien aus einer m3u Abspielliste, allen Dateien in einem Verzeichnis oder allen Dateien, die mit der iFile Dateisuche gefunden wurden, unterstützt.
    - Es können einzelne Songs oder die gesamte Abspielliste wiederholt werden.
    - Es können die Songs einer Abspielliste in zufälliger Reihenfolge abgespielt werden (Shuffle).
    - Songinformationen aus Musikdateien werden für mp3 und m4a Dateien unterstützt und angezeigt.
    - Albumcover können aus m4a-Dateien gelesen werden oder aus den Dateien folder.jpg und cover.jpg im Verzeichnis der Musikdatei.
    - Der Musikabspieler unterstützt das Gehen zum vorigen oder nächsten Song und ein schnelles Vor- und Zurückspulen
    - Es wird die aktuelle Zeit und die verbleibende Zeit eines Songs angezeigt.
  - Bildbetrachter
    - Der Bildbetrachter hat jetzt einen zusätzlichen Knopf, um ein Bild zur Filmrolle hinzuzufügen.
  - PDF Betrachter
    - Der PDF Betrachter wurde komplett neu implementiert so daß jetzt deutlich tiefer hineingezoomt werden kann.
    - Ein doppeltes Tippen zoomt um den Fakter 2 hinein oder zoomt auf Seitenbreite heraus, sofern schon hineingezoomt worden war.
    - Ein einfaches Tippen zeigt oder versteckt die Navigationsleiste und Statusleiste.
    - Wenn man zu einer anderen Seite blättert, geht der PDF Betrachter zum Seitenanfang oben links.
  - Netzbetrachter
    - Es wurde das Problem beseitigt, daß für Links innerhalb einer Seite die Navigationsleiste ein Update erfuhr und nur "Laden..." angezeigt wurde.
  - Texteditor/Property-Listen Editor
    - Der Texteditor und Property-Listen Editor wurden voneinander getrennt. Auf diesem Weg ist es leichter möglich, Dateien im plist Format via Öffnen mit... zu editieren, die eine andere Dateiendung haben.
    - Knopf zum Anzeigen/Verstecken der Navigations- und Statusleiste hinzugefügt.
    - Knopf für Textsuche und entsprechende Funktionalität hinzugefügt. Die Suche springt wieder zum Anfang beim Erreichen des Dateiendes. Wenn der Suchtext gefunden wurde, wird der entsprechende Ausschnitt sichtbar gemacht. Eine grafisches Hervorheben des gefundenen Textes ist nicht möglich.
    - Es kann nun auch die Tastatur im Editiermodus versteckt werden (Fertig Knopf).
  - Debian Paket Installation
    - iFile kann jetzt Debian Pakete auch installieren und nicht nur auspacken.
  - Externe Betrachter
    - iFile unterstützt jetzt auch externe Dateibetrachter über ihre Definition in den Themen. Dies funktioniert über die Angabe der Applikations-ID und einem applikationsspezifischen URL-Schema für einen gegebenen Mime-Typen. iFile öffnet dann die Datei durch Übergabe des Pfades an den externen Betrachter über sein spezifisches URL-Schema.
  - Einstellungen
    - Es existiert nun eine neue Option, um den Songtitel anstelle des Dateinamens für eine Audiodatei (mp3 und m4a) anzuzeigen.
    - Ebenso gibt es eine neue Option, um Miniaturbilder von Bildern anstelle der Icons anzuzeigen.

- ## 1.0.1-1 - Bugfix und Feature Release

  - iFile wird ShareWare. Eine Anzahl von Benutzern beschwerte sich, daß Spenden nicht erzwungen werden sollten. Da ich einen gewissen finanziellen Ausgleich für die Entwicklung von iFile benötige, nenne ich es nun nicht mehr 'Spende' sondern 'Registrierung', was klarer sein sollte.
  - Registrierungs-GUI hinzugefügt, das von der iFile Registrierungsdialogbox oder den iFile Einstellungen her geöffnet werden kann.
  - Unterstützung für ifile://... URL Behandlung hinzugefügt. Nur Dateien aus ~mobile können über eine solche URL geöffnet werden.

- ## 1.0.0-2 - Bugfix Release

  - Fehler behoben, der zur Fehlernachricht beim Auspacken von rar Dateien führte. Die extrahierten Dateien werden nun in das aktuelle Verzeichnis ausgepackt anstelle von /private/var/mobile.
  - Kodierung korrigiert für changelog.html und features.html in polnischer Dokumentation.

- ## 1.0.0-1 - Bugfix und Feature Release

  - iPhoneOS 2.x und 3.0 Kompatibilität
  - Tschechische, polnische und ukrainische Lokalisierung hinzugefügt.
  - Spenden Dialogbox
    - Wenn iFile gestartet wird, wird jetzt eine Dialogbox angezeigt, die anzeigt, wieviele Kopien von iFile heruntergeladen wurden und wieviele Spenden noch bis zur nächsten Release fehlen.
  - Dateibrowser
    - Doppelklick im Editiermodus selektiert bzw. deselektiert alle Dateien eines Ordners.
    - Es wurde das Problem behoben, daß für das Erstellen einer Datei, eines Ordners oder einer symbolischen Verknüpfung das 'Typ'-Feld nicht editierbar aussah, obwohl es editierbar war. Das 'Typ'-Feld zeigt nun das entsprechende Symbol auf der rechten Seite.
    - Kopieren/Verschieben
      - Das Kopieren und Verschieben von Dateien findet nun im Hintergrund statt (separater Thread).
      - Es wird nun angezeigt, welche Datei gerade verschoben oder kopiert wird.
      - Wenn eine Datei bereits existiert, wird eine Dialogbox angezeigt, die des Benutzer erlaubt, When a file already exists a dialog is shown to allow the user to
        - die Operation zu unterbrechen,
        - die kopierte Datei automatisch umzubenennen (<Nummer> wird angehängt),
        - die existierende Datei zu überschreiben oder
        - alle existierenden Dateien zu überschreiben.
    - Ordnerattribute
      - Für Ordner werden im Attributeditor nun die Größe seines Inhalts (Summe aller im Ordner enthaltenen Dateien) und die Anzahl der in ihm enthaltenen Dateien angezeigt.
    - Das Packen von Dateien findet nun im Hintergrund statt.
  - Textbetrachter
    - Unterstützung für nib und xib Dateien hinzugefügt.
  - ZIP Betrachter
    - Es wurde die Unterstützung für zusätzliche komprimierte Dateiformate hinzugefügt: 7z, deb, rar, tar, tar.gz, tar.bz2, tar.Z, tgz, tbz2, gz, bz2, Z.
    - Das Auspacken benutzt nun unzip für zip-Dateien, unrar für rar-Dateien, tar für alle tar-basierten Dateien. Alle anderen komprimierten Dateitypen werden durch p7zip (7z) unterstützt. p7zip läuft dabei allerdings als Benutzer mobile.
    - Das Lesen des Dateiinhalts, das Auspacken von Dateien und das Löschen von Dateien findet nun im Hintergrund statt.
  - Web Server
    - Der Web Server startet nun mit dem Root-Verzeichnis und erlaubt es, in der Hierarchie hinabzusteigen.
    - Die Ordnerinhaltsverzeichnisse wurden optisch überarbeitet.
    - Es wurde eine Fortschrittsanzeige für das Hoch- und Herunterladen von Dateien hinzugefügt.
    - Die Statusanzeige des Web Servers listet jetzt alle Dateiabrufe auf.
    - Die Port Nummer des Web Servers kann nun im Einstellungseditor festgelegt werden.
  - Einstellungen
    - Es wurde ein Feld zum Einstellen der Port Nummer des Web Servers hinzugefügt.

- ## 0.9.7 - Bugfix und Feature Release

  - Amharische (Ethiopische), Chinesische, Russische and Türkische Lokalisierung hinzugefügt.
  - Einstellungseditor
    - Kleineres Problem behoben, bei dem Felder nach der Rückkehr vom Setzen von Thema oder Sortierreihenfolge auf ihre ursprünglichen Werte gesetzt wurden.
  - Mime-Typen
    - Mime-type audio/x-wav zu registrierten Mime-Typen für den Musikabspieler hinzugefügt (hatte einen Tippfehler im Mime-Typen).
  - Dateibrowser
    - Animationen für Browsernavigation und "Home" Knopf hinzugefügt.
    - Der Browser geht zu erster Zeile, wenn man in einen Ordner wechselt, und zu vorher ausgewählter Zeile, wenn man in den übergeordneten Ordner geht.
    - Knopf für Lesezeichen hinzugefügt (siehe unten).
    - Performanceproblem behoben beim Starten von iFile im Zusammenhang mit Ordnern mit hunderten von Dateien. Daraus resultierte, daß iFile vom Betriebssystem geschlossen wurde.
    - Der blaue Knopf auf der rechten Seite einer Zelle wird nun auch angezeigt, wenn der Browser nicht im Editiermodus ist.
  - Dateiattributeditor
    - Es gibt nun die Möglichkeit, einen Dateibretrachter auszuwählen, mit dem die Datei geöffnet werden soll. Dies ist nicht eine Einstellung, sondern öffnet den Betrachter direkt mit der aktuellen Datei.
  - Lesezeichen
    - Oberfläche mit gleichem Aussehen und gleicher Bedienung wie Safari in Bezug auf die gesamte Funktionalität.
    - Unterstützung von Lesezeichen zum Dateibrowser (Ordnerlesezeichen und Benutzung und Editieren von Lesezeichen), Webbetrachter (Dokumenten- und Webseitenlesezeichen), PDF Betrachter (Dokumentenlesezeichen) und Textbetrachter (Dokumentenlesezeichen) hinzugefügt.
    - Lesezeichen können nur vom Dateibrowser geöffnet werden.
    - Safari Lesezeichen können benutzt, aber nicht modifiziert werden.
  - Dokument- und Webbetrachter
    - Navigations- und Werkzeugleiste können mit einem einzelnen Tippen ausgeblendet werden.
- PDF Betrachter
  - Navigations- und Werkzeugleiste können mit einem einzelnen Tippen ausgeblendet werden.
  - Doppeltes Tippen wechselt zur nächsten Seite.
- Textbetrachter
  - Navigations- und Werkzeugleiste können mit einem einzelnen Tippen ausgeblendet werden. Bitte beachten Sie, daß dies nur geschieht, wenn sich die Cursorposition nicht ändert (im Editiermodus).
- MobileSubstrate Unterstützung
  - Unterstützung von MobileSubstrate hinzugefügt: MobileSubstrate wird nicht automatisch geladen, wenn Applikationen als Benutzer "root" ausgeführt werden. Jetzt wird MobileSubstrate von iFile geladen, wodurch alle MobileSubstrate basierten Erweiterungen nun auch mit iFile funktionieren, z.B. Clippy etc.
  - Unterstützung zum Dateibrowser hinzugefügt, wodurch ein Dateipfad einer Tabellenzeile an Clippy übergeben werden.
- Dokumentation
  - Die lokalisierte Anleitung wurde in separate Cydia Pakete für jede Sprache verlagert.
  - Feature- und Change-Log Seite verbleiben im iFile Cydia Hauptpaket.
  - Wenn man den "Anleitung"-Link in der Dokumentation auswählt, startet Cydia und zeigt das korrekte Sprachpaket an, so daß man es direkt installieren kann.
  - Diese Änderung wurde notwendig, da das iFile Cydia Paket unhandlich groß geworden war.

- ## 0.9.6-2 - Bugfix Release

  - Web Server
    - Problem von iFile behoben, bei dem iFile beim Herunterladen von großen Dateien zu wenig Speicher übrig hatte.
    - Beim Download wird nun auch die Dateigröße (Content-Length) zum Browser übertragen wird, so daß der Browser weiß, wieviel von der Datei noch zu empfangen ist.
    - Beim Hochladen wird nun eine Fehlerseite angezeigt, wenn keine Datei ausgewählt wurde, bzw. eine leere Datei übertragen wird.
    - Problem behoben, bei dem der HTML Content Header ein Byte zu viel enthielt, was dazu führte, daß alle heruntergeladenen Dateien fehlerhaft waren.

- ## 0.9.6-1 - Bugfix und Feature Release

  - Arabische, Französische and Japanische Lokalisierung hinzugefügt. Für die Arabische und Französische Lokalisierung wird die Dokumentation erst in einer der nächsten Releases übersetzt
  - Dateibrowser
    - Symbolische Verknüpfungen werden durch dunkelblauen Dateinamen hervorgehoben.
    - Wischen zum Löschen implementiert im normalen Modus.
    - '+' Knopf zu Werkzeugliste im Editiermodus hinzugefügt, um Dateien, Ordner oder Symbolische Verknüpfungen inklusive Setzen der Zugriffsrechte und Eigentümer zu erzeugen.
    - Anzeige der Dateigröße verändert, um sie in Bytes, KB, MB oder GB anzuzeigen.
    - Unterstützung für das Öffnen von Dateien ohne bekannten Mime-Type mit "Öffnen mit..." hinzugefügt, um eine Applikation für das Ansehen der Datei auszuwählen (im Augenblick werden nur die internen Betrachter unterstützt).
    - "Leopard" Thema hinzugefügt.
    - "Home" Knopf zu Werkzeugleiste hinzugefügt.
  - Mime-Typen
    - Dateiendung js als Teil von text/plain hinzugefügt.
    - Dateiendungen von Office 2007 Dateiformaten von Word, Excel und Powerpoint (docx, xlsx, pptx) zu entsprechenden Mime-Typen hinzugefügt
  - Einstellungseditor
    - Unterstützung für verstecken/anzeigen von versteckten Ordnern/Dateien hinzugefügt.
    - Unterstützung für Startverzeichnis hinzugefügt: Beim Verlassen setzen oder angegebener Pfad.
    - Unterstützung für Setzen der Schriftgröße für den Textbetrachter hinzugefügt.
    - Unterstützung für das Wählen eines Themas hinzugefügt.
    - Unterstützung für die Sortierreihenfolge im Dateibrowser hinzugefügt: Nach Name, Dateiendung, Größe oder Datum sortieren.
  - Zusätzliche Felder im Dateiattributeditor
    - Dateigröße
    - Dateityp, z.B. Ordner, Symbolische Verknüpfung, Reguläre Datei.
    - Verknüpfungsziel für symbolische Verknüpfungen.
    - Mime-Type für Reguläre Dateien
  - Textbetrachter
    - Problem behoben, daß der Text nach Drücken von Abbruch verschwand.
  - Web Server
    - Problem behoben im Zusammenhang mit der Darstellung von UTF-8 Zeichen in Webseiten.

- ## 0.9.5 - Bugfix und Feature Release

  - Problem behoben, daß der ZIP Viewer keine Dateien extrahiert hat, wenn man Alle Dateien auspacken ausgewählt hatte
  - Die Applikations ID wurde von eu.heinelt.iFile auf eu.heinelt.ifile geändert, um mögliche Probleme bei der Interaktion von Cydia und dem BigBoss Repository zu beheben.
  - Der Dateiattributeditor wurde erweitert, um auch das Editieren folgenden Attributen zu erlauben:
  - Dateiname
  - Eigentumsrechte (Eigentümer und Gruppe)
  - Dateizugriffsrechte für Benutzer, Gruppe und Welt (Lesen, Schreiben, Ausführen, Sticky Bit)
  - Datum und Uhrzeit der letzten Modifikation der Datei
  - Jetzt wird auch das Editieren von Texten im Textbetrachter unterstützt:
  - Property List (plist) Dateien werden nun bzgl. Lesen und Schreiben unterstützt (XML und binär).
  - Textdateien werden mit UTF-8 Kodierung oder - falls dies fehlschlägt - mit ISO-Latin Kodierung eingelesen.
  - Tabulatorzeichen in Textdateien werden beim Einlesen durch Leerzeichen ersetzt, da der UITextView des iPhoneOS sonst die Tabulatorzeichen verschluckt. Während des Schreibens werden die Leerzeichen dann wieder mit Tabulatorzeichen ersetzt.
  - Die Tabulatorweite kann nun im neu implementierten Einstellungsdialog gesetzt werden. Die Voreinstellung ist 8.
  - Dateien erhalten beim Speichern wieder den gleichen Besitzer, Gruppe und Zugriffsrechte wie die originale Datei (wäre sonst root).
  - Es wurde die Infrastruktur für den Umgang mit Dateierweiterungen überarbeitet, so daß sie jetzt auf Mime-Types und damit assoziierten Dateierweiterungen basiert.
  - Durch eine neue Infrastruktur werden nun die Dateibetrachter von Mime-Types und nicht von Dateierweiterungen gesteuert. Dies beinhaltet auch die Möglichkeit, mehrere Betrachter für einen Mime-Type zu definieren, so daß der Benutzer dann den entsprechenden Betrachter zur Auswahl bekommt, z.B. text/html kann nun im einfachen Textbetrachter oder im HTML Betrachter angeschaut werden.
  - Es wurden folgende Dateierweiterungen zu text/plain hinzugefügt: cfg, cnf, conf, j, java, list, php, plist, script, sh.
  - Eine neue Infrastruktur erlaubt nun Themen für Dateiicons.
  - Es wurde das Scrollen im PDF Viewer auf eine Richtung limitiert: Wenn der Benutzer beginnt, das PDF in eine Richtung zu verschieben (horizontal oder vertikal), verhinder der PDF Betrachter nun das Scrollen in die entsprechend andere Richtung, solange der Benutzer in die ensprechende Richtung weiterscrollt.
  - Der Dateibrowser besitzt einen neuen Knopf für die Einstellungen. Im Einstellungsdialog kann bisher nur die Tabulatorweite für den Textbetrachter eingestellt werden.

- ## 0.9.4 - Feature Release

  - Italienische Lokalisierung hinzugefügt.
  - Der Web Server ist komplett neu implementiert worden in Bezug auf Hoch- und Herunterladen über WLAN. Die Geschwindigkeit wurde stark verbessert und die Unterstützung von großen Dateien ist jetzt zuverlässig.
  - ZIP Dateien werden jetzt mit einem eigenen Betrachter unterstützt. Man kann Dateien zu einer neuen ZIP Datei hinzufügen, alle oder ausgewählte Dateien aus einer ZIP Datei extrahieren und Dateien aus der ZIP Datei löschen.
  - Ein oder mehr Dateien können als Anhang mit Apple MobileMail verschickt werden.
  - Das Problem, daß der PDF Betrachter die letzte Seite eines Dokuments nicht anzeigen konnte, wurde behoben.

- ## 0.9.3 - Feature Release

  - Diese Release läßt iFile mit den Rechten des Superusers laufen. Dadurch kann der Benutzer nun jede Datei oder jeden Ordner im /var Dateisystem umbenennen oder auch löschen.
  - Der Editiermodus unterstützt nun auch Kopieren, Ausschneiden und Einfügen von Dateien und Ordnern.
  - Zusätzlich zur deutschen und englischen Lokalisierung wurde eine spanische hinzugefügt.

- ## 0.9.2 - Bugfix Release

  - Diese Release behebt ein Problem, bei dem der Benutzer nach der Erstinstallation beim ersten Start im Ordner /var/mobile/Documents landete und nicht in der Ordnerhierarchie aufwärts navigieren konnte.

- ## 0.9.1 - Erste öffentliche Release im BigBoss Repository

  - Textdateien werden nun in spezifischem UITextView Controller mit kleinerer Schrift dargestellt.
  - Detaillierte Dokumentation hinzugefügt

- ## 0.9.0 - Initiale Version

  - PDF: spezielle Ansicht mit der Möglichkeit Seiten direkt anzuspringen.
  - Bilder werden angezeigt mithilfe eines UIWebView.
  - Excel, Word, PowerPoint, HTML, Text werden ebenfalls mit einem UIWebView angezeigt.
  - Filme und Musik werden mithilfe eines MPMoviePlayerController abgespielt.
  - Ein eingebauter Web Server erlaubt es Dateien von iFile von oder zu einem PC, Mac etc. zu transferieren.
  - Löschen mehrerer Dateien oder Ordner auf einmal.
  - Umbenennen von Dateien und Ordnern.